Package org.stianloader.micromixin.transform.internal.util.smap

## Class FutureSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.FutureSection

    public class FutureSection
    extends AbstractSMAPSection

### Constructor Summary

Constructors
`FutureSection​(char otherChar, java.util.List<java.lang.String> futureInfos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FutureSection

    public FutureSection​(char otherChar,
                         @NotNull
                         java.util.List<java.lang.String> futureInfos)

### Method Detail

#### pushContents

    @NotNull
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`